-- Bearded Arc (Dark)
-- Based on: https://github.com/BeardedBear/bearded-theme

local M = {}

M.palette = {
    base = '#1c2433',
    overlay = '#212a3b',
    muted = '#4a5e84',
    text = '#afbbd2',
    red = '#FF738A',
    yellow = '#EACD61',
    orange = '#FF955C',
    green = '#3CEC85',
    cyan = '#69C3FF',
    purple = '#B78AFF',
    highlight = '#8196b5',
}

local active_tab = {
    bg_color = M.palette.overlay,
    fg_color = M.palette.text,
}

local inactive_tab = {
    bg_color = M.palette.base,
    fg_color = M.palette.muted,
}

function M.colors()
    return {
        foreground = M.palette.text,
        background = M.palette.base,
        cursor_bg = M.palette.yellow,
        cursor_border = M.palette.yellow,
        cursor_fg = M.palette.text,
        selection_bg = '#405275',
        selection_fg = M.palette.text,

        ansi = {
            M.palette.overlay,
            M.palette.red,
            M.palette.green,
            M.palette.yellow,
            M.palette.cyan,
            M.palette.purple,
            M.palette.orange,
            M.palette.text,
        },

        brights = {
            M.palette.muted,
            M.palette.red,
            M.palette.green,
            M.palette.yellow,
            M.palette.cyan,
            M.palette.purple,
            M.palette.orange,
            M.palette.text,
        },

        tab_bar = {
            background = M.palette.base,
            active_tab = active_tab,
            inactive_tab = inactive_tab,
            inactive_tab_hover = active_tab,
            new_tab = inactive_tab,
            new_tab_hover = active_tab,
            inactive_tab_edge = M.palette.muted,
        },
    }
end

function M.window_frame()
    return {
        active_titlebar_bg = M.palette.base,
        inactive_titlebar_bg = M.palette.base,
    }
end

return M
